'use strict';
const lodash = require('lodash');
function sendTable(ctx, arrs) {
    const draw = ctx.request.query.draw;
    const search=ctx.request.query['search[value]'];   
    if (!draw) {
        ctx.throw(500);
        return;
    }
    if (search.length > 0) {
        arrs= lodash.filter(arrs, function (o) {
            let k = lodash.filter(o, function (e) {
                return e === search;
            });
            return k.length > 0;
        });
    }
    const index = ctx.request.query.start * 1;
    const max = ctx.request.query.length * 1;
    var result = lodash.chunk(arrs, max);
    ctx.body = {
        draw: draw,
        recordsTotal: arrs.length,
        recordsFiltered: arrs.length,
        data: result[index / max]
    };
};
module.exports =sendTable;